foreman content: issues with creating content
Category: Hosts   
Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  
Description

As part of managing content in katello, it needs to also create content within foreman (e.g. install media, operating systems...etc) at

the appropriate points in time (e.g. repo synchronization, content view publish & promotion).

There are a couple of issues with the current implementation that need to be addressed:

1. Do not create foreman content (install media, OS...etc) when creating a repo in the default content view (i.e. Library)

2. Do not blindly create install media, if it already exists (e.g. rather than Medium.create! do Medium.find_or_create_medium)

Associated revisions

Revision fd05a4e3 - 04/08/2014 01:37 AM - Brad Buckingham

fixes #5100 - updates to how/when foreman content is created

This commit addresses 2 issues:

1. Do not create foreman content (install media, OS...etc) when creating a repo in the default content view (i.e. Library)

2. Do not blindly create install media, if it already exists (e.g. rather than Medium.create! do Medium.find_or_create_medium)

Revision 68ac26a9 - 04/08/2014 01:04 PM - Brad Buckingham

Merge pull request #3954 from bbuckingham/issue-5100

fixes #5100 - updates to how/when foreman content is created

History

#1 - 04/08/2014 01:52 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:fd05a4e31b49a4a6b7e5f4f91247ad0863133618.

#2 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13

#4 - 12/18/2019 09:50 AM - Shira Maximov

Changing the

#5 - 12/18/2019 11:10 AM - Shira Maximov

Changing the

#6 - 12/18/2019 11:26 AM - Shira Maximov
